My ultimate aim is to be able to do a Ekion Python API query like this df_ric, err = ek.get_data(RIC_List, ['TR.PriceClose','TRDPRC_1'],) Where RIC_List has 1800 elements, 99% of which are RICs in string format and the remaining 1% are not RICs and need to be skipped automatically. (Querying each element using a "try"…
Hi, I would like to filter companies by their natural gas consumption/purchase. Is this possible? So far I have not been able to find a suitable filter. Thanks for your support!
I'm trying to filter out news through the EIKON api and have built the following query. I would expect this to exclude news items sourced from LSE but I find news items from this in my resultset. ( ( Topic:FUND AND Language:LEN ) NOT ( Source:DJN OR Source:NBSX OR Source:HIIS OR Source:HOSE OR Source:PHSE OR Source:BSE OR…
Hi all, I have a python script to retrieve data using Eikon Data API, which works when I run it in my local visual studio code, but I wanted to automate it through AWS. Here the connection is not working because (I believe) to do it through the API, a session must be logged in in the Eikon terminal. This is the error it's…
We pull instruments using these following queries from RDP /search api. curl --location "https://api.refinitiv.com/search/beta1/" --header "content-type: application/json" -H "Authorization: Bearer ....” --data "{ \"View\": \"SearchAll\", \"Filter\": \"RIC eq 'MNI50500J5'\", \"Select\": \"RIC, RicRoot,…
Hello people, I hope you are doing well. I am experimenting some issues with some zSpread extraction with the code i've always used. I am not able to extract the spreads anymore. Please find below my code: import refinitiv.dataplatform.eikon as ek str_date = "2024-12-31" ISIN = "XS0107203381" df_zSpread, err =…
I am writing a Python script that should take the ISINs of bonds from a CSV file located in the same directory. The task is to load X bonds and plot their YTMs as points on a graph. Bonds with YTMs below certain criteria should be highlighted with a different color. However, the program throws an error because it cannot…
Hi, I am trying to replicate in the codebook a Screener search for all the Loans in EU27+US in 2024 and retrieve the NACE code of the borrower to then aggregate the loan amount at that level. There should be some mistake in my formula, as I fail to retrieve any populated value for the fields 'Use of proceeds' and 'Total…
I am using Excel and while I can call on a company's Geographical data as a whole using…
Hi For my thesis, i am trying to gather monthly or quarterly institutional ownership data and ratios on US stock on a long time frame (preferably 1980-now). However, I have been working with the following python code, but are unable to as I do not have access to the product tr_13f which it is based on:…
It looks like you're new here. Sign in or register to get started.